// creator  : weidu.exe (version 23100)
// argument : SEVPAT01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SEVPAT01~ 1 // non-zero flags may indicate non-pausing dialogue

IF ~Global("tookBarisinsult","GLOBAL",0)
!IsValidForPartyDialog("Korgan")~ THEN BEGIN 0 // from:
  SAY #47430 /* ~Hah!  If it daren't be a puny <RACE>, dressed up as a mighty adventurer, I'd say!  Har har!  Did yer mama let ye out from under her skirt, little one?  Best ye be runnin' back, now!~ */
  IF ~~ THEN EXTERN ~SEVPAT04~ 0
END

IF ~~ THEN BEGIN 1 // from: SEVPAT04:2.0
  SAY #47437 /* ~ENOUGH, blast it!  I tire of yer bickering!  Now... as for ye, little <RACE>... ye'd best take yerself somewhere where ye're more welcome.  This bar be big enough only for us and nay more.~ */
  IF ~~ THEN REPLY #47438 /* ~Alright, I'm leaving... no need to get upset.~ */ GOTO 2
  IF ~~ THEN REPLY #47439 /* ~How about I buy you a drink?  There's no need for us to be on harsh terms.~ */ GOTO 3
  IF ~~ THEN REPLY #47440 /* ~Watch, it dwarf.  I'll not take your insults for long.~ */ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 4.0 1.0
  SAY #47441 /* ~Hah!  Off ye go then, cur!  Hang yer tail 'twixt yer legs and scurry off like the cowardly dog that ye are!  Har har!~ */
  IF ~~ THEN DO ~SetGlobal("tookBarisinsult","GLOBAL",1)
SetGlobalTimer("SevpatReinit","GLOBAL",180)
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #47442 /* ~Ye can take yer drink an' shove it where the sun won't be shining, ye blasted lily <RACE>!  I'll nay associate with a quivering weakling in me own bar, so be off with ye!~ */
  IF ~~ THEN EXTERN ~SEVPAT04~ 3
END

IF ~~ THEN BEGIN 4 // from: SEVPAT05:0.0
  SAY #47445 /* ~Blasted right I must!  We be celebrating, Brennan, and I'll be damned if I'm going to drink while the odor of yon <RACE> offends me nostrils!  Now be off, <RACE>, before ye has a taste of me axe!!~ */
  IF ~~ THEN REPLY #47446 /* ~Fine... I'll leave you and your group alone.~ */ GOTO 2
  IF ~~ THEN REPLY #47447 /* ~That's it!  I'm not going to take your insults anymore, dwarf!~ */ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 10.1 4.1 1.2
  SAY #47448 /* ~Ye'll take whate'er I have to give ye!  Come, my friends... let's teach the whelp what it be to cross Mencar and his band, eh!  Have at ye!!~ */
  IF ~~ THEN DO ~SetGlobal("RiatavinFight","GLOBAL",1)
Enemy()~ EXIT
END

IF ~IsValidForPartyDialog("Korgan")~ THEN BEGIN 6 // from:
  SAY #47449 /* ~Har!  If it isn't the mighty Korgan, as brash as ye please!  Ye've a mighty gall, Bloodaxe, to walk in the open with yer chin high!~ */
  IF ~~ THEN EXTERN ~KORGANJ~ 55
END

IF ~~ THEN BEGIN 7 // from:
  SAY #47451 /* ~Of all the bloody insults hurled at me, this be the blackest!  Yer a traitorous, backstabbing liar, Korgan... after a double-cross like yours, I be surprised ye've nay fled for the hills!~ */
  IF ~~ THEN EXTERN ~SEVPAT04~ 4
END

IF ~~ THEN BEGIN 8 // from: SEVPAT04:6.0
  SAY #47457 /* ~ENOUGH, blast it!  Korgan... ye either coughs up the gold I be owed, or there'll be blood between us!  Decide and decide quickly!~ */
  IF ~~ THEN EXTERN ~KORGANJ~ 56
END

IF ~~ THEN BEGIN 9 // from:
  SAY #47459 /* ~So be it!  Come, friends!  Let us teach this cur the meaning of true honor!!~ */
  IF ~~ THEN DO ~SetGlobal("RiatavinFight","GLOBAL",1)
Enemy()~ EXIT
END

IF ~Global("tookBarisinsult","GLOBAL",1)
!IsValidForPartyDialog("Korgan")~ THEN BEGIN 10 // from:
  SAY #47461 /* ~I told ye to begone, cur, an' not to be bothering me again!  Unless ye've courage enough to raise yer hand, ye'd best do as I say and flee while ye can!!~ */
  IF ~~ THEN REPLY #47462 /* ~Alright, alright, I'm going.~ */ GOTO 11
  IF ~~ THEN REPLY #47463 /* ~I'm not going to take this, dwarf!~ */ GOTO 5
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #47464 /* ~Then go, blast it!  I'll nay warn ye again!~ */
  IF ~~ THEN DO ~SetGlobalTimer("SevpatReinit","GLOBAL",180)~ EXIT
END

IF ~GlobalTimerExpired("SevpatReinit","GLOBAL")
Allegiance(Myself,NEUTRAL)
~ THEN BEGIN 12 // from:
  SAY #47467 /* ~That's it!  That's it!!  I've warned ye and yer friends nay to be coming into this place and disturbing me with yer stench, but ye've ignored a fair warning!  Now ye die!!~ */
  IF ~~ THEN DO ~SetGlobal("RiatavinFight","GLOBAL",1)
Enemy()~ EXIT
END
